%define jmailver 1.3.1
%define inetlibver 1.0

Name:           classpathx-mail
Version:        1.0
Release: 	4jpp_5fc
Epoch:          0
Summary:        GNU JavaMail(tm)

Group:          System Environment/Libraries
License:        GPL with library exception
URL:            http://www.gnu.org/software/classpathx/
Source0:        http://ftp.gnu.org/gnu/classpathx/mail-1.0.tar.gz
Source1:        http://ftp.gnu.org/gnu/classpath/inetlib-1.0.tar.gz
Patch0:         %{name}-crosslink.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=157685#c2
Patch1:         %{name}-docbuild.patch
Patch2:         %{name}-add-inetlib.patch
Patch3:         classpath-inetlib-crosslink.patch
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=157685#c2
Patch4:         classpath-inetlib-docbuild.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  jaf >= 0:1.0
BuildRequires:  %{_bindir}/perl
BuildRequires:  jce
BuildRequires:  java-sasl
Requires:       jaf >= 0:1.0
Requires:       jce
Requires:       java-sasl
Provides:       javamail = 0:%{jmailver}
# RHEL3 and FC2
Obsoletes:	javamail >= 0:20000000

%description
GNU JavaMail(tm) is a free implementation of the JavaMail API.

%package monolithic
Summary:	All %{name} in one monolithic jar
Group:		Development/Libraries/Java
Requires:       jaf >= 0:1.0
Requires:       jce
Requires:       java-sasl
Provides:       javamail-monolithic = 0:%{jmailver}

%description monolithic
All %{name} in one monolithic jar.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       javamail-javadoc = 0:%{jmailver}
BuildRequires:  java-javadoc, jaf-javadoc
Prereq: coreutils

%description    javadoc
%{summary}.


%prep
%setup -q -n mail-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
rm -f libmail.so
gzip -dc %{SOURCE1} | tar -xf -
pushd inetlib-%{inetlibver}
%patch3 -p0
%patch4 -p0
  mkdir -p source/org/jpackage/mail
  mv source/gnu/inet source/org/jpackage/mail
popd
# assume no filename contains spaces
perl -p -i -e 's/gnu(.)inet/org${1}jpackage${1}mail${1}inet/' `grep gnu.inet -lr *`


%build
# build inetlib
pushd inetlib-%{inetlibver}
  export CLASSPATH=%(build-classpath jce sasl)
  ant -Dj2se.apidoc=%{_javadocdir}/java inetlib.jar doc
popd
mkdir classes
cp -r inetlib-%{inetlibver}/classes/org classes
# build mail
export CLASSPATH=%(build-classpath activation)
ant \
  -Dj2se.apidoc=%{_javadocdir}/java \
  -Djaf.apidoc=%{_javadocdir}/jaf \
  dist javadoc
# build monolithic
mkdir monolithic
pushd monolithic
for jar in providers gnumail; do jar xf ../$jar.jar; done
rm -f META-INF/MANIFEST.MF
jar cf ../monolithic.jar *
popd
rm -Rf monolithic


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/javamail
install -pm 644 gnumail.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/mailapi-%{jmailver}.jar
ln -s mailapi-%{jmailver}.jar $RPM_BUILD_ROOT%{_javadir}/javamail/mailapi.jar

install -pm 644 providers.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/providers-%{jmailver}.jar
ln -s providers-%{jmailver}.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/providers.jar
for prov in imap nntp pop3 smtp ; do
  ln -s providers.jar $RPM_BUILD_ROOT%{_javadir}/javamail/$prov.jar
  ln -s providers-%{jmailver}.jar \
    $RPM_BUILD_ROOT%{_javadir}/javamail/$prov-%{jmailver}.jar
done

install -pm 644 monolithic.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail-%{jmailver}.jar
ln -s javamail-%{jmailver}.jar $RPM_BUILD_ROOT%{_javadir}/javamail.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/javamail-%{jmailver}
cp -pR docs/* $RPM_BUILD_ROOT%{_javadocdir}/javamail-%{jmailver}
ln -s javamail-%{jmailver} $RPM_BUILD_ROOT%{_javadocdir}/javamail


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/javamail
ln -s javamail-%{jmailver} %{_javadocdir}/javamail


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING
%{_javadir}/javamail

%files monolithic
%defattr(644,root,root,755)
%{_javadir}/javamail-%{jmailver}.jar
%{_javadir}/javamail.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/javamail-%{jmailver}
%ghost %doc %{_javadocdir}/javamail


%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.0-4jpp_5fc
- stop the scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 0:1.0-4jpp_4fc
- rebuilt

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Vadim Nasardinov <vadimn@redhat.com> - 0:1.0-4jpp_3fc
- BZ 157685

* Wed Jun  1 2005 Gary Benson <gbenson@redhat.com> 0:1.0-4jpp_2fc
- Fix location of monolithic jarfile.

* Tue May 31 2005 Gary Benson <gbenson@redhat.com> 0:1.0-4jpp_1fc
- Remove now-unnecessary workaround for #132524.
- Upgrade to 1.0-4jpp.
- Add a javamail-monolithic equivalent.

* Mon May 02 2005 Jason Corley <jason.corley@gmail.com> 0:1.0-4jpp
- Rebuild

* Tue Jan 11 2005 Gary Benson <gbenson@redhat.com> 0:1.0-3jpp_1fc
- Sync with RHAPS.

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.0-3jpp_1rh
- Merge with upstream to get version that does not require inetlib.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:1.0-2jpp_1fc
- Build into Fedora.

* Thu Oct 28 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 0:1.0-3jpp
- Don't require classpath-inetlib.
- Require java-sasl and jce.
- Replace gnu.inet references with org.jpackage.mail.inet.
- Build inetlib.
- Include inetlib in providers.jar.

* Sat Jul  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-2jpp
- Require classpath-inetlib and jaf.

* Tue Jun 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-1jpp
- First build.
